import { TemplateRef } from '@angular/core';
import { MatDialog, MatDialogConfig, MatDialogRef } from '@angular/material/dialog';
import { IStatus, ZUIDialogType } from './types';
import { IInputVal } from '../constants';
export declare class ZUIDialogComponent {
    #private;
    dialog: MatDialog;
    title: string;
    type: ZUIDialogType;
    width: string;
    showCloseIcon: boolean;
    set hideCloseIcon(val: IInputVal);
    templateRef: TemplateRef<any>;
    dialogRef: MatDialogRef<any>;
    data: any;
    status: IStatus;
    constructor(dialog: MatDialog);
    ngOnChanges(): void;
    ngOnDestroy(): void;
    open: <T>(config?: MatDialogConfig<T>) => void;
    afterClosed: (callBack: <T>(data: T) => void) => void;
    close: <T>(dialogResult?: T, closeAll?: boolean) => void;
}
